(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.currentSoundStreamInMovieclip;
	this.soundStreamDuration = new Map();
	this.streamSoundSymbolsList = [];

	this.gotoAndPlayForStreamSoundSync = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.gotoAndPlay = function(positionOrLabel){
		this.clearAllSoundStreams();
		var pos = this.timeline.resolve(positionOrLabel);
		if (pos != null) { this.startStreamSoundsForTargetedFrame(pos); }
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		this.clearAllSoundStreams();
		this.startStreamSoundsForTargetedFrame(this.currentFrame);
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
		this.clearAllSoundStreams();
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
		this.clearAllSoundStreams();
	}
	this.startStreamSoundsForTargetedFrame = function(targetFrame){
		for(var index=0; index<this.streamSoundSymbolsList.length; index++){
			if(index <= targetFrame && this.streamSoundSymbolsList[index] != undefined){
				for(var i=0; i<this.streamSoundSymbolsList[index].length; i++){
					var sound = this.streamSoundSymbolsList[index][i];
					if(sound.endFrame > targetFrame){
						var targetPosition = Math.abs((((targetFrame - sound.startFrame)/lib.properties.fps) * 1000));
						var instance = playSound(sound.id);
						var remainingLoop = 0;
						if(sound.offset){
							targetPosition = targetPosition + sound.offset;
						}
						else if(sound.loop > 1){
							var loop = targetPosition /instance.duration;
							remainingLoop = Math.floor(sound.loop - loop);
							if(targetPosition == 0){ remainingLoop -= 1; }
							targetPosition = targetPosition % instance.duration;
						}
						instance.loop = remainingLoop;
						instance.position = Math.round(targetPosition);
						this.InsertIntoSoundStreamData(instance, sound.startFrame, sound.endFrame, sound.loop , sound.offset);
					}
				}
			}
		}
	}
	this.InsertIntoSoundStreamData = function(soundInstance, startIndex, endIndex, loopValue, offsetValue){ 
 		this.soundStreamDuration.set({instance:soundInstance}, {start: startIndex, end:endIndex, loop:loopValue, offset:offsetValue});
	}
	this.clearAllSoundStreams = function(){
		this.soundStreamDuration.forEach(function(value,key){
			key.instance.stop();
		});
 		this.soundStreamDuration.clear();
		this.currentSoundStreamInMovieclip = undefined;
	}
	this.stopSoundStreams = function(currentFrame){
		if(this.soundStreamDuration.size > 0){
			var _this = this;
			this.soundStreamDuration.forEach(function(value,key,arr){
				if((value.end) == currentFrame){
					key.instance.stop();
					if(_this.currentSoundStreamInMovieclip == key) { _this.currentSoundStreamInMovieclip = undefined; }
					arr.delete(key);
				}
			});
		}
	}

	this.computeCurrentSoundStreamInstance = function(currentFrame){
		if(this.currentSoundStreamInMovieclip == undefined){
			var _this = this;
			if(this.soundStreamDuration.size > 0){
				var maxDuration = 0;
				this.soundStreamDuration.forEach(function(value,key){
					if(value.end > maxDuration){
						maxDuration = value.end;
						_this.currentSoundStreamInMovieclip = key;
					}
				});
			}
		}
	}
	this.getDesiredFrame = function(currentFrame, calculatedDesiredFrame){
		for(var frameIndex in this.actionFrames){
			if((frameIndex > currentFrame) && (frameIndex < calculatedDesiredFrame)){
				return frameIndex;
			}
		}
		return calculatedDesiredFrame;
	}

	this.syncStreamSounds = function(){
		this.stopSoundStreams(this.currentFrame);
		this.computeCurrentSoundStreamInstance(this.currentFrame);
		if(this.currentSoundStreamInMovieclip != undefined){
			var soundInstance = this.currentSoundStreamInMovieclip.instance;
			if(soundInstance.position != 0){
				var soundValue = this.soundStreamDuration.get(this.currentSoundStreamInMovieclip);
				var soundPosition = (soundValue.offset?(soundInstance.position - soundValue.offset): soundInstance.position);
				var calculatedDesiredFrame = (soundValue.start)+((soundPosition/1000) * lib.properties.fps);
				if(soundValue.loop > 1){
					calculatedDesiredFrame +=(((((soundValue.loop - soundInstance.loop -1)*soundInstance.duration)) / 1000) * lib.properties.fps);
				}
				calculatedDesiredFrame = Math.floor(calculatedDesiredFrame);
				var deltaFrame = calculatedDesiredFrame - this.currentFrame;
				if((deltaFrame >= 0) && this.ignorePause){
					cjs.MovieClip.prototype.play.call(this);
					this.ignorePause = false;
				}
				else if(deltaFrame >= 2){
					this.gotoAndPlayForStreamSoundSync(this.getDesiredFrame(this.currentFrame,calculatedDesiredFrame));
				}
				else if(deltaFrame <= -2){
					cjs.MovieClip.prototype.stop.call(this);
					this.ignorePause = true;
				}
			}
		}
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib.g27kneed01 = function() {
	this.initialize(img.g27kneed01);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


(lib.g27kneed02 = function() {
	this.initialize(img.g27kneed02);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


(lib.g27kneed03 = function() {
	this.initialize(img.g27kneed03);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


(lib.g27kneed04 = function() {
	this.initialize(img.g27kneed04);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


(lib.g27kneed05 = function() {
	this.initialize(img.g27kneed05);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


(lib.g27kneed06 = function() {
	this.initialize(img.g27kneed06);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


(lib.g27kneed07 = function() {
	this.initialize(img.g27kneed07);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


(lib.g27kneed08 = function() {
	this.initialize(img.g27kneed08);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


(lib.g27kneed09 = function() {
	this.initialize(img.g27kneed09);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


(lib.g27kneed10 = function() {
	this.initialize(img.g27kneed10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


(lib.g27kneed11 = function() {
	this.initialize(img.g27kneed11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


(lib.g27kneed12 = function() {
	this.initialize(img.g27kneed12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,919,1299);


// stage content:
(lib.g27kneed = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.actionFrames = [0,18,47,77,90,110,139,166];
	this.streamSoundSymbolsList[0] = [{id:"g27koe",startFrame:0,endFrame:180,loop:1,offset:0},{id:"tekokislow",startFrame:0,endFrame:18,loop:1,offset:0}];
	this.streamSoundSymbolsList[18] = [{id:"g271",startFrame:18,endFrame:47,loop:1,offset:0}];
	this.streamSoundSymbolsList[47] = [{id:"g272",startFrame:47,endFrame:77,loop:1,offset:0}];
	this.streamSoundSymbolsList[77] = [{id:"g273",startFrame:77,endFrame:90,loop:1,offset:0}];
	this.streamSoundSymbolsList[90] = [{id:"tekokislow",startFrame:90,endFrame:110,loop:1,offset:0}];
	this.streamSoundSymbolsList[110] = [{id:"g274",startFrame:110,endFrame:139,loop:1,offset:0}];
	this.streamSoundSymbolsList[139] = [{id:"g272",startFrame:139,endFrame:166,loop:1,offset:0}];
	this.streamSoundSymbolsList[166] = [{id:"g273",startFrame:166,endFrame:180,loop:1,offset:0}];
	// timeline functions:
	this.frame_0 = function() {
		this.clearAllSoundStreams();
		 
		var soundInstance = playSound("tekokislow",0);
		this.InsertIntoSoundStreamData(soundInstance,0,18,1);
		var soundInstance = playSound("g27koe",0);
		this.InsertIntoSoundStreamData(soundInstance,0,180,1);
	}
	this.frame_18 = function() {
		var soundInstance = playSound("g271",0);
		this.InsertIntoSoundStreamData(soundInstance,18,47,1);
	}
	this.frame_47 = function() {
		var soundInstance = playSound("g272",0);
		this.InsertIntoSoundStreamData(soundInstance,47,77,1);
	}
	this.frame_77 = function() {
		var soundInstance = playSound("g273",0);
		this.InsertIntoSoundStreamData(soundInstance,77,90,1);
	}
	this.frame_90 = function() {
		var soundInstance = playSound("tekokislow",0);
		this.InsertIntoSoundStreamData(soundInstance,90,110,1);
	}
	this.frame_110 = function() {
		var soundInstance = playSound("g274",0);
		this.InsertIntoSoundStreamData(soundInstance,110,139,1);
	}
	this.frame_139 = function() {
		var soundInstance = playSound("g272",0);
		this.InsertIntoSoundStreamData(soundInstance,139,166,1);
	}
	this.frame_166 = function() {
		var soundInstance = playSound("g273",0);
		this.InsertIntoSoundStreamData(soundInstance,166,180,1);
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(18).call(this.frame_18).wait(29).call(this.frame_47).wait(30).call(this.frame_77).wait(13).call(this.frame_90).wait(20).call(this.frame_110).wait(29).call(this.frame_139).wait(27).call(this.frame_166).wait(14));

	// レイヤー_1
	this.instance = new lib.g27kneed01();
	this.instance.setTransform(20,20);

	this.instance_1 = new lib.g27kneed02();
	this.instance_1.setTransform(20,20);
	this.instance_1._off = true;

	this.instance_2 = new lib.g27kneed03();
	this.instance_2.setTransform(20,20);
	this.instance_2._off = true;

	this.instance_3 = new lib.g27kneed04();
	this.instance_3.setTransform(20,20);
	this.instance_3._off = true;

	this.instance_4 = new lib.g27kneed05();
	this.instance_4.setTransform(20,20);
	this.instance_4._off = true;

	this.instance_5 = new lib.g27kneed06();
	this.instance_5.setTransform(20,20);
	this.instance_5._off = true;

	this.instance_6 = new lib.g27kneed07();
	this.instance_6.setTransform(20,20);
	this.instance_6._off = true;

	this.instance_7 = new lib.g27kneed08();
	this.instance_7.setTransform(20,20);
	this.instance_7._off = true;

	this.instance_8 = new lib.g27kneed09();
	this.instance_8.setTransform(20,20);
	this.instance_8._off = true;

	this.instance_9 = new lib.g27kneed10();
	this.instance_9.setTransform(20,20);
	this.instance_9._off = true;

	this.instance_10 = new lib.g27kneed11();
	this.instance_10.setTransform(20,20);
	this.instance_10._off = true;

	this.instance_11 = new lib.g27kneed12();
	this.instance_11.setTransform(20,20);
	this.instance_11._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28));
	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(2).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(26));
	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(4).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(24));
	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(6).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(21));
	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(9).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(18));
	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(12).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(16));
	this.timeline.addTween(cjs.Tween.get(this.instance_6).wait(14).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(14));
	this.timeline.addTween(cjs.Tween.get(this.instance_7).wait(16).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(28).to({_off:false},0).to({_off:true},2).wait(12));
	this.timeline.addTween(cjs.Tween.get(this.instance_8).wait(18).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(9));
	this.timeline.addTween(cjs.Tween.get(this.instance_9).wait(21).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(6));
	this.timeline.addTween(cjs.Tween.get(this.instance_10).wait(24).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(3));
	this.timeline.addTween(cjs.Tween.get(this.instance_11).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).to({_off:true},3).wait(27).to({_off:false},0).wait(3));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(499.5,689.5,439.5,629.5);
// library properties:
lib.properties = {
	id: 'ED8F4EAEEFD39D44B109CD096ACF0157',
	width: 959,
	height: 1339,
	fps: 24,
	color: "#000000",
	opacity: 1.00,
	manifest: [
		{src:"images/g27kneed01.jpg", id:"g27kneed01"},
		{src:"images/g27kneed02.jpg", id:"g27kneed02"},
		{src:"images/g27kneed03.jpg", id:"g27kneed03"},
		{src:"images/g27kneed04.jpg", id:"g27kneed04"},
		{src:"images/g27kneed05.jpg", id:"g27kneed05"},
		{src:"images/g27kneed06.jpg", id:"g27kneed06"},
		{src:"images/g27kneed07.jpg", id:"g27kneed07"},
		{src:"images/g27kneed08.jpg", id:"g27kneed08"},
		{src:"images/g27kneed09.jpg", id:"g27kneed09"},
		{src:"images/g27kneed10.jpg", id:"g27kneed10"},
		{src:"images/g27kneed11.jpg", id:"g27kneed11"},
		{src:"images/g27kneed12.jpg", id:"g27kneed12"},
		{src:"sounds/g271.mp3", id:"g271"},
		{src:"sounds/g272.mp3", id:"g272"},
		{src:"sounds/g273.mp3", id:"g273"},
		{src:"sounds/g274.mp3", id:"g274"},
		{src:"sounds/g27koe.mp3", id:"g27koe"},
		{src:"sounds/tekokislow.mp3", id:"tekokislow"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['ED8F4EAEEFD39D44B109CD096ACF0157'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;